//
// SSRadioButtonList.java: Class file for WO Component 'SSRadioButtonList'
// Project SwitchableString52
//
// Created by psuh on Tue Sep 09 2003
//
package com.goodeast.webobjects.switchablestring;


import com.webobjects.foundation.*;
import com.webobjects.appserver.*;
import com.webobjects.appserver._private.*;


/**
    SwitchableString replacement for WORadioButtonList. Most of the work is done by the code
    in the SSHelper class. 
*/
public class SSRadioButtonList extends WORadioButtonList implements SSHelper.Callbacks {

    /**
        The bindings that are used only by this class -- to be 
        striped out of the associations dictionary before it is passed up the line
        to the super-class constructor. 
    */
    protected static NSArray _myAssociations = new NSArray( new String[] { "editable", "allowedTags", "disallowedTags", "noSelectionString" } );

    protected NSDictionary _associationsDict;

    public SSRadioButtonList( String aName, NSDictionary associations, WOElement template) {
        super( aName, SSHelper.cleanUpAssociations( associations, _myAssociations ), template );

        _associationsDict = associations;
    }


    public void appendToResponse( WOResponse r, WOContext c ) {

        SSHelper.performAppendToResponse( r, c, _associationsDict, this );
    }

    public void takeValuesFromRequest( WORequest r, WOContext c ) {

        SSHelper.performTakeValuesFromRequest( r, c, _associationsDict, this );

    }

    public void callSuperAppendToResponse( WOResponse r, WOContext c ) {
        super.appendToResponse( r, c );
    }

    public void callSuperTakeValuesFromRequest( WORequest r, WOContext c ) {
        super.takeValuesFromRequest( r, c );
    }

}
